import { createRouter, createWebHistory } from 'vue-router'
import { ElMessage } from "element-plus";
import LogIn from '../views/LogIn.vue'
import SignUp from '../views/SignUp.vue'
import Home from '../views/Home.vue';
import GuestHome from '../views/GuestHome.vue';
import FileUpAndDown from '../views/FileUpload.vue';
import Editor from "../views/Editor.vue";
import FileUpload from "@/views/FileUpload.vue";
import FileDownload from "@/views/FileDownload.vue";
import Account from "../views/Account.vue";
import Notice from "../views/Notice.vue";

const routes = [
  {
    path:'/',
    redirect:'/guest-home'
  },
  {
    path: '/guest-home',
    name: 'GuestHome',
    component: GuestHome
  },
  {
    path: '/signup',
    name: 'SignUp',
    component: SignUp
  },
  {
    path: '/login',
    name: 'LogIn',
    component: LogIn
  },
  // {
  //   path: '/editors',
  //   name: 'Editor',
  //   component: Editor
  // },
  {
    path: '/user-home',
    name: 'Home',
    component: Home
  },
  {
    path: '/account',
    name: 'Account',
    component: Account
  },
  {
    path: '/file-upload',
    name: 'FileUpload',
    component: FileUpload
  },
  {
    path: '/notice',
    name: 'Notice',
    component: Notice
  },
  // {
  //   path: '/file-download',
  //   name: 'FileDownload',
  //   component: FileDownload
  // }
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})
let whiteList = [
  '/signup',
  '/login',
  '/guest-home'
]
router.beforeEach((to, from, next) => {
  if (whiteList.includes(to.path)) {
    if (sessionStorage.getItem('token')&&to.path!='/guest-home') {
      next('/home')
    } else {
      next()
    }
  } else {
    if (sessionStorage.getItem('token')||to.path==='/') {
      next()
    } else if(to.path!=='/'){
      ElMessage({
        showClose: true,
        message: 'please to login first',
        type: 'warning',
      });
      next('/')
    }
  }
})

export default router
